Bug 12415 - spoolss_AddPrinterDriver does not support APD_COPY_FROM_DIRECTORY
spoolss_AddPrinterDriver does not support APD_COPY_FROM_DIRECTORY
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Printing
4.5.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-09 11:44 UTC by Andreas Schneider
Modified: 2016-12-01 10:21 UTC (History)
4 users (show)

See Also:


Attachments
patch for 4.5 (19.33 KB, patch)
2016-11-23 06:32 UTC, Andreas Schneider
jra: review+
Details
patch for 4.4 (19.21 KB, patch)
2016-11-23 06:33 UTC, Andreas Schneider
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2016-11-09 11:44:42 UTC
spoolss_AddPrinterDriver is not able to copy a driver directory a client uploaded the driver too.

Example Driver:
http://www.kyocerasupport.co.uk/index/download_center.false._.FS1028MFP._.EN.html
Comment 1 Andreas Schneider 2016-11-23 06:32:19 UTC
Created attachment 12685 [details]
patch for 4.5
Comment 2 Andreas Schneider 2016-11-23 06:33:41 UTC
Created attachment 12686 [details]
patch for 4.4
Comment 3 Andreas Schneider 2016-11-23 06:34:09 UTC
make -j test TESTS="spoolss.driver"

ALL OK (22 tests in 2 testsuites)
Comment 4 Jeremy Allison 2016-11-28 23:09:04 UTC
Reassigning to Karolin for inclusion in 4.5.next, 4.4.next.
Comment 5 Karolin Seeger 2016-11-30 08:27:56 UTC
(In reply to Jeremy Allison from comment #4)
Pushed to autobuild-v4-{4,5}-test.
Comment 6 Karolin Seeger 2016-12-01 10:21:45 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to both branches.
Closing out bug report.

Thanks!